## phyml 3.3.20250515

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/phyml
pkgincludedir = $(includedir)/phyml
pkglibdir = $(libdir)/phyml
pkglibexecdir = $(libexecdir)/phyml
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64-apple-darwin24.3.0
host_triplet = aarch64-apple-darwin24.3.0
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in COPYING \
	README.md compile config.guess config.sub depcomp install-sh \
	missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/Users/guindon/phyml/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} '/Users/guindon/phyml/missing' autoconf
AUTOHEADER = ${SHELL} '/Users/guindon/phyml/missing' autoheader
AUTOMAKE = ${SHELL} '/Users/guindon/phyml/missing' automake-1.16
AWK = awk
CC = mpicc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=gnu99 -O3 -fomit-frame-pointer -funroll-loops -Wall -Winline -finline -march=native
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LATEX = latex
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/Users/guindon/phyml/missing' makeinfo
MKDIR_P = ./install-sh -c -d
OBJEXT = o
PACKAGE = phyml
PACKAGE_BUGREPORT = stephane.guindon@lirmm.fr
PACKAGE_NAME = PhyML
PACKAGE_STRING = PhyML 3.3.20250429
PACKAGE_TARNAME = phyml
PACKAGE_URL = 
PACKAGE_VERSION = 3.3.20250429
PATH_SEPARATOR = :
PDFLATEX = pdflatex
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.3.20250429
abs_builddir = /Users/guindon/phyml
abs_srcdir = /Users/guindon/phyml
abs_top_builddir = /Users/guindon/phyml
abs_top_srcdir = /Users/guindon/phyml
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = aarch64-apple-darwin24.3.0
build_alias = 
build_cpu = aarch64
build_os = darwin24.3.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = aarch64-apple-darwin24.3.0
host_alias = 
host_cpu = aarch64
host_os = darwin24.3.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/guindon/phyml/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src
EXTRA_DIST = doc bin examples
DIST_SUBDIRS = $(SUBDIRS)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@test -f $@ || rm -f stamp-h1
	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \

=== doc/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/phyml
pkgincludedir = $(includedir)/phyml
pkglibdir = $(libdir)/phyml
pkglibexecdir = $(libexecdir)/phyml
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64-apple-darwin24.3.0
host_triplet = aarch64-apple-darwin24.3.0
am__append_1 = phyml-manual.pdf
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_doc_DATA_DIST) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_doc_DATA_DIST = phyml-manual.tex ./fig/phyrexlog.pdf \
	./fig/phytimetrace.pdf phyml-manual.pdf
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(docdir)"
DATA = $(dist_doc_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/Users/guindon/phyml/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} '/Users/guindon/phyml/missing' autoconf
AUTOHEADER = ${SHELL} '/Users/guindon/phyml/missing' autoheader
AUTOMAKE = ${SHELL} '/Users/guindon/phyml/missing' automake-1.16
AWK = awk
CC = mpicc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=gnu99 -O3 -fomit-frame-pointer -funroll-loops -Wall -Winline -finline -march=native
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LATEX = latex
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/Users/guindon/phyml/missing' makeinfo
MKDIR_P = .././install-sh -c -d
OBJEXT = o
PACKAGE = phyml
PACKAGE_BUGREPORT = stephane.guindon@lirmm.fr
PACKAGE_NAME = PhyML
PACKAGE_STRING = PhyML 3.3.20250429
PACKAGE_TARNAME = phyml
PACKAGE_URL = 
PACKAGE_VERSION = 3.3.20250429
PATH_SEPARATOR = :
PDFLATEX = pdflatex
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.3.20250429
abs_builddir = /Users/guindon/phyml/doc
abs_srcdir = /Users/guindon/phyml/doc
abs_top_builddir = /Users/guindon/phyml
abs_top_srcdir = /Users/guindon/phyml
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = aarch64-apple-darwin24.3.0
build_alias = 
build_cpu = aarch64
build_os = darwin24.3.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = $(datadir)/doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = aarch64-apple-darwin24.3.0
host_alias = 
host_cpu = aarch64
host_os = darwin24.3.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/guindon/phyml/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
docfiles = phyml-manual.tex ./fig/phyrexlog.pdf ./fig/phytimetrace.pdf \
	$(am__append_1)
MANNAME = phyml-manual
MANTEXSRC = $(MANNAME).tex
MANIDX = $(MANNAME).idx
CLEANFILES = $(MANNAME).pdf $(MANNAME).log $(MANNAME).idx $(MANNAME).out \
 $(MANNAME).toc $(MANNAME).aux $(MANNAME).ilg $(MANNAME).ind  $(MANNAME).dvi 

dist_doc_DATA = $(docfiles)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-dist_docDATA: $(dist_doc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
	done

uninstall-dist_docDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(docdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \

=== src/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# EXTRA_DIST = doc bin examples


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/phyml
pkgincludedir = $(includedir)/phyml
pkglibdir = $(libdir)/phyml
pkglibexecdir = $(libexecdir)/phyml
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64-apple-darwin24.3.0
host_triplet = aarch64-apple-darwin24.3.0
#bin_PROGRAMS = phyml$(EXEEXT)
##bin_PROGRAMS = date$(EXEEXT)
##bin_PROGRAMS = phyrexsim$(EXEEXT)
##bin_PROGRAMS = phyrex$(EXEEXT)
##bin_PROGRAMS = evolve$(EXEEXT)
##bin_PROGRAMS = test$(EXEEXT)
##bin_PROGRAMS = phyml-windows$(EXEEXT)
bin_PROGRAMS = phyml-mpi$(EXEEXT)
#bin_PROGRAMS = rf$(EXEEXT)
#bin_PROGRAMS = phytime$(EXEEXT)
#bin_PROGRAMS = phyml$(EXEEXT)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__date_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h stats.c stats.h rates.c rates.h mcmc.c \
	mcmc.h times.c times.h mg.c mg.h io.c io.h make.c make.h \
	nexus.c nexus.h init.c init.h xml.c xml.h tbe.c tbe.h mixt.c \
	mixt.h date.c date.h
##am_date_OBJECTS = main.$(OBJEXT) \
##	utilities.$(OBJEXT) \
##	optimiz.$(OBJEXT) \
##	lk.$(OBJEXT) \
##	bionj.$(OBJEXT) \
##	models.$(OBJEXT) \
##	free.$(OBJEXT) \
##	help.$(OBJEXT) \
##	simu.$(OBJEXT) \
##	eigen.$(OBJEXT) \
##	pars.$(OBJEXT) \
##	alrt.$(OBJEXT) \
##	interface.$(OBJEXT) \
##	cl.$(OBJEXT) \
##	spr.$(OBJEXT) \
##	draw.$(OBJEXT) \
##	stats.$(OBJEXT) \
##	rates.$(OBJEXT) \
##	mcmc.$(OBJEXT) \
##	times.$(OBJEXT) \
##	mg.$(OBJEXT) \
##	io.$(OBJEXT) \
##	make.$(OBJEXT) \
##	nexus.$(OBJEXT) \
##	init.$(OBJEXT) \
##	xml.$(OBJEXT) \
##	tbe.$(OBJEXT) \
##	mixt.$(OBJEXT) \
##	date.$(OBJEXT)
date_OBJECTS = $(am_date_OBJECTS)
date_LDADD = $(LDADD)
am__evolve_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h tbe.c tbe.h stats.c stats.h rates.c \
	rates.h mcmc.c mcmc.h times.c times.h mg.c mg.h io.c io.h \
	make.c make.h nexus.c nexus.h init.c init.h xml.c xml.h mixt.c \
	mixt.h ancestral.c ancestral.h date.c date.h cv.c cv.h m4.c \
	m4.h evolve.c evolve.h
##am_evolve_OBJECTS = main.$(OBJEXT) \
##	utilities.$(OBJEXT) \
##	optimiz.$(OBJEXT) \
##	lk.$(OBJEXT) \
##	bionj.$(OBJEXT) \
##	models.$(OBJEXT) \
##	free.$(OBJEXT) \
##	help.$(OBJEXT) \
##	simu.$(OBJEXT) \
##	eigen.$(OBJEXT) \
##	pars.$(OBJEXT) \
##	alrt.$(OBJEXT) \
##	interface.$(OBJEXT) \
##	cl.$(OBJEXT) \
##	spr.$(OBJEXT) \
##	draw.$(OBJEXT) \
##	tbe.$(OBJEXT) \
##	stats.$(OBJEXT) \
##	rates.$(OBJEXT) \
##	mcmc.$(OBJEXT) \
##	times.$(OBJEXT) \
##	mg.$(OBJEXT) \
##	io.$(OBJEXT) \
##	make.$(OBJEXT) \
##	nexus.$(OBJEXT) \
##	init.$(OBJEXT) \
##	xml.$(OBJEXT) \
##	mixt.$(OBJEXT) \
##	ancestral.$(OBJEXT) \
##	date.$(OBJEXT) \
##	cv.$(OBJEXT) \
##	m4.$(OBJEXT) \
##	evolve.$(OBJEXT)
evolve_OBJECTS = $(am_evolve_OBJECTS)
evolve_LDADD = $(LDADD)
am__phyml_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h stats.c stats.h io.c io.h make.c make.h \
	nexus.c nexus.h init.c init.h xml.c xml.h sse.c sse.h avx.c \
	avx.h tbe.c tbe.h ancestral.c ancestral.h mixt.c mixt.h \
	evolve.c evolve.h rates.c rates.h date.c date.h times.c \
	times.h m4.c m4.h cv.c cv.h
#am_phyml_OBJECTS = main.$(OBJEXT) \
#	utilities.$(OBJEXT) \
#	optimiz.$(OBJEXT) \
#	lk.$(OBJEXT) \
#	bionj.$(OBJEXT) \
#	models.$(OBJEXT) \
#	free.$(OBJEXT) \
#	help.$(OBJEXT) \
#	simu.$(OBJEXT) \
#	eigen.$(OBJEXT) \
#	pars.$(OBJEXT) \
#	alrt.$(OBJEXT) \
#	interface.$(OBJEXT) \
#	cl.$(OBJEXT) \
#	spr.$(OBJEXT) \
#	draw.$(OBJEXT) \
#	stats.$(OBJEXT) \
#	io.$(OBJEXT) \
#	make.$(OBJEXT) \
#	nexus.$(OBJEXT) \
#	init.$(OBJEXT) \
#	xml.$(OBJEXT) \
#	sse.$(OBJEXT) \
#	avx.$(OBJEXT) \
#	tbe.$(OBJEXT) \
#	ancestral.$(OBJEXT) \
#	mixt.$(OBJEXT) \
#	evolve.$(OBJEXT) \
#	rates.$(OBJEXT) \
#	date.$(OBJEXT) \
#	times.$(OBJEXT) \
#	m4.$(OBJEXT) \
#	cv.$(OBJEXT)
phyml_OBJECTS = $(am_phyml_OBJECTS)
phyml_LDADD = $(LDADD)
am__phyml_mpi_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h stats.c stats.h io.c io.h make.c make.h \
	nexus.c nexus.h init.c init.h xml.c xml.h mixt.c mixt.h tbe.c \
	tbe.h sse.c sse.h avx.c avx.h m4.c m4.h ancestral.c \
	ancestral.h rates.c rates.h date.c date.h times.c times.h cv.c \
	cv.h evolve.c evolve.h mpi_boot.c mpi_boot.h
am_phyml_mpi_OBJECTS = main.$(OBJEXT) \
	utilities.$(OBJEXT) \
	optimiz.$(OBJEXT) \
	lk.$(OBJEXT) \
	bionj.$(OBJEXT) \
	models.$(OBJEXT) \
	free.$(OBJEXT) \
	help.$(OBJEXT) \
	simu.$(OBJEXT) \
	eigen.$(OBJEXT) \
	pars.$(OBJEXT) \
	alrt.$(OBJEXT) \
	interface.$(OBJEXT) \
	cl.$(OBJEXT) \
	spr.$(OBJEXT) \
	draw.$(OBJEXT) \
	stats.$(OBJEXT) \
	io.$(OBJEXT) \
	make.$(OBJEXT) \
	nexus.$(OBJEXT) \
	init.$(OBJEXT) \
	xml.$(OBJEXT) \
	mixt.$(OBJEXT) \
	tbe.$(OBJEXT) \
	sse.$(OBJEXT) \
	avx.$(OBJEXT) \
	m4.$(OBJEXT) \
	ancestral.$(OBJEXT) \
	rates.$(OBJEXT) \
	date.$(OBJEXT) \
	times.$(OBJEXT) \
	cv.$(OBJEXT) \
	evolve.$(OBJEXT) \
	mpi_boot.$(OBJEXT)
phyml_mpi_OBJECTS = $(am_phyml_mpi_OBJECTS)
phyml_mpi_LDADD = $(LDADD)
am__phyml_windows_SOURCES_DIST = main.c utilities.c utilities.h \
	optimiz.c optimiz.h lk.c lk.h bionj.c bionj.h models.c \
	models.h free.c free.h help.c help.h simu.c simu.h eigen.c \
	eigen.h pars.c pars.h alrt.c alrt.h interface.c interface.h \
	cl.c cl.h spr.c spr.h draw.c draw.h tbe.c tbe.h stats.c \
	stats.h rates.c rates.h mcmc.c mcmc.h times.c times.h mg.c \
	mg.h io.c io.h make.c make.h nexus.c nexus.h init.c init.h \
	xml.c xml.h mixt.c mixt.h sse.c sse.h avx.c avx.h ancestral.c \
	ancestral.h date.c date.h
##am_phyml_windows_OBJECTS = main.$(OBJEXT) \
##	utilities.$(OBJEXT) \
##	optimiz.$(OBJEXT) \
##	lk.$(OBJEXT) \
##	bionj.$(OBJEXT) \
##	models.$(OBJEXT) \
##	free.$(OBJEXT) \
##	help.$(OBJEXT) \
##	simu.$(OBJEXT) \
##	eigen.$(OBJEXT) \
##	pars.$(OBJEXT) \
##	alrt.$(OBJEXT) \
##	interface.$(OBJEXT) \
##	cl.$(OBJEXT) \
##	spr.$(OBJEXT) \
##	draw.$(OBJEXT) \
##	tbe.$(OBJEXT) \
##	stats.$(OBJEXT) \
##	rates.$(OBJEXT) \
##	mcmc.$(OBJEXT) \
##	times.$(OBJEXT) \
##	mg.$(OBJEXT) \
##	io.$(OBJEXT) \
##	make.$(OBJEXT) \
##	nexus.$(OBJEXT) \
##	init.$(OBJEXT) \
##	xml.$(OBJEXT) \
##	mixt.$(OBJEXT) \
##	sse.$(OBJEXT) \
##	avx.$(OBJEXT) \
##	ancestral.$(OBJEXT) \
##	date.$(OBJEXT)
phyml_windows_OBJECTS = $(am_phyml_windows_OBJECTS)
phyml_windows_LDADD = $(LDADD)
am__phyrex_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h stats.c stats.h rates.c rates.h times.c \
	times.h mcmc.c mcmc.h io.c io.h make.c make.h nexus.c nexus.h \
	init.c init.h xml.c xml.h mixt.c mixt.h date.c date.h tbe.c \
	tbe.h sse.c sse.h avx.c avx.h ancestral.c ancestral.h phyrex.c \
	phyrex.h location.c location.h slfv.c slfv.h rw.c rw.h rrw.c \
	rrw.h ibm.c ibm.h iwn.c iwn.h iou.c iou.h m4.c m4.h evolve.c \
	evolve.h cv.c cv.h velocity.c velocity.h
##am_phyrex_OBJECTS = main.$(OBJEXT) \
##	utilities.$(OBJEXT) \
##	optimiz.$(OBJEXT) \
##	lk.$(OBJEXT) \
##	bionj.$(OBJEXT) \
##	models.$(OBJEXT) \
##	free.$(OBJEXT) \
##	help.$(OBJEXT) \
##	simu.$(OBJEXT) \
##	eigen.$(OBJEXT) \
##	pars.$(OBJEXT) \
##	alrt.$(OBJEXT) \
##	interface.$(OBJEXT) \
##	cl.$(OBJEXT) \
##	spr.$(OBJEXT) \
##	draw.$(OBJEXT) \
##	stats.$(OBJEXT) \
##	rates.$(OBJEXT) \
##	times.$(OBJEXT) \
##	mcmc.$(OBJEXT) \
##	io.$(OBJEXT) \
##	make.$(OBJEXT) \
##	nexus.$(OBJEXT) \
##	init.$(OBJEXT) \
##	xml.$(OBJEXT) \
##	mixt.$(OBJEXT) \
##	date.$(OBJEXT) \
##	tbe.$(OBJEXT) \
##	sse.$(OBJEXT) \
##	avx.$(OBJEXT) \
##	ancestral.$(OBJEXT) \
##	phyrex.$(OBJEXT) \
##	location.$(OBJEXT) \
##	slfv.$(OBJEXT) \
##	rw.$(OBJEXT) \
##	rrw.$(OBJEXT) \
##	ibm.$(OBJEXT) \
##	iwn.$(OBJEXT) \
##	iou.$(OBJEXT) \
##	m4.$(OBJEXT) \
##	evolve.$(OBJEXT) \
##	cv.$(OBJEXT) \
##	velocity.$(OBJEXT)
phyrex_OBJECTS = $(am_phyrex_OBJECTS)
phyrex_LDADD = $(LDADD)
am__phyrexsim_SOURCES_DIST = main.c utilities.c utilities.h optimiz.c \
	optimiz.h lk.c lk.h bionj.c bionj.h models.c models.h free.c \
	free.h help.c help.h simu.c simu.h eigen.c eigen.h pars.c \
	pars.h alrt.c alrt.h interface.c interface.h cl.c cl.h spr.c \
	spr.h draw.c draw.h stats.c stats.h rates.c rates.h times.c \
	times.h mcmc.c mcmc.h io.c io.h make.c make.h nexus.c nexus.h \
	init.c init.h xml.c xml.h mixt.c mixt.h date.c date.h tbe.c \
	tbe.h sse.c sse.h avx.c avx.h ancestral.c ancestral.h phyrex.c \

## phyml 3.2.0%2Bdfsg

=== debian/control ===
Source: phyml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Kevin Murray <spam@kdmurray.id.au>,
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               pkg-config,
               libhmsbeagle-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/phyml.git
Vcs-Git: https://anonscm.debian.org/debian-med/phyml.git
Homepage: http://www.atgc-montpellier.fr/phyml

Package: phyml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Phylogenetic estimation using Maximum Likelihood
 PhyML is a software that estimates maximum likelihood phylogenies from
 alignments of nucleotide or amino acid sequences. It provides a wide
 range of options that were designed to facilitate standard phylogenetic
 analyses. The main strengths of PhyML lies in the large number of
 substitution models coupled to various options to search the space of
 phylogenetic tree topologies, going from very fast and efficient methods
 to slower but generally more accurate approaches. It also implements
 two methods to evaluate branch supports in a sound statistical framework
 (the non-parametric bootstrap and the approximate likelihood ratio test).
 .
 PhyML was designed to process moderate to large data sets. In theory,
 alignments with up to 4,000 sequences 2,000,000 character-long can
 be analyzed. In  practice however, the amount of memory required to process
 a data set is proportional of the product of the number of sequences by their
 length. Hence, a large number of sequences can only be processed provided
 that they are short. Also, PhyML can handle long sequences provided that
 they are not numerous. With most standard personal computers, the “comfort
 zone” for PhyML generally lies around 3 to 500 sequences less than 2,000
 character long.
 .
 This package also includes PhyTime.

## phyml 3.2.0+dfsg

=== debian/changelog ===
phyml (3:3.2.0+dfsg-7) unstable; urgency=medium

  * Fix bug in wrapper script which really
    Closes: #853738

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2017 09:36:51 +0100

phyml (3:3.2.0+dfsg-6) unstable; urgency=medium

  * Also provide version without beagle library since it causes trouble
    on machines without according graphics hardware
    Closes: #853737
  * Provide link /usr/bin/phyml-beagle
  * Enable to switch of MPI version via environment variable since there
    are circumstances when it leads to wrong results
    Closes: #853738
  * Test single processor and MPI in autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 31 Jan 2017 15:16:45 +0100

phyml (3:3.2.0+dfsg-5) unstable; urgency=medium

  * Fix wrapper to correctly use mpirun
    Closes: #853211

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2017 17:34:56 +0100

phyml (3:3.2.0+dfsg-4) unstable; urgency=medium

  * Add pocl-opencl-icd to autopkgtest dependencies to emulate CPU-based ICD
  * debhelper 10
  * d/watch: version=4
  * Use chrpath to remove RPATH from binary
  * Use "OMPI_MCA_plm_rsh_agent=/bin/false" in test (see #494046)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 10:22:34 +0100

phyml (3:3.2.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Canberk Koç ]
  * autopkgtest added
  * fix autopkgtest 
  
  [ Andreas Tille ]
  * Add missing Depends: openmpi-bin
  * use wrapper to select MPI version if applicable
  * Use compression options in d/watch
  * Fix missing declaration
  * hardening=+all,-pie

 -- Canberk Koç	 <canberkkoc@gmail.com>  Wed, 12 Oct 2016 23:51:39 +0300

phyml (3:3.2.0+dfsg-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix VCS link in d/control
  * Patch for reproduible build (configure.ac date)
  * Bump standards version to 3.9.7

  [ Andreas Tille ]
  * Enable MPI version of phyml

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 12:52:14 +0100

phyml (3:3.2.0+dfsg-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream release
  * d/watch: Source has changed location on Github
  * Patch CPPFLAGS to allow build of phytime

  [ Andreas Tille ]
  * Upstream confirmed that the development version should be fairly stable
    and most probably suitable for Debian
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Remove executable binary from archive (as well as LaTeX remainings once
    we are starting to remove files)
  * Move to git
  * Build-Depends: pkg-config, libhmsbeagle-dev
  * debian/rules:
     - hack around removal of PDF manual
     - enable building with libhmsbeagle-dev
  * DEP5

 -- Kevin Murray <spam@kdmurray.id.au>  Sat, 06 Feb 2016 16:06:43 +0100

phyml (2:20120412-2) unstable; urgency=low

  * debian/patches/sse_only_if_supported.patch: Check architecture before
    deciding to build using -msse
    Closes: #718747

 -- Andreas Tille <tille@debian.org>  Mon, 05 Aug 2013 09:56:27 +0200

phyml (2:20120412-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version.
  * Updated watch file to track stable versions only.
  * debian/rules, debian/docs, the manual is now phyml-manual.pdf.

  [ Andreas Tille ]
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - use anonscm in Vcs fields
  * debian/rules:
     - Use dh more consequently to work around two different configure steps
     - Propagate hardening options
  * debian/upstream: Additional (newer) publication
  * debian/phytime.1: Add manpage for phytime based on some html2man output
    and the abstract of the according publication
  * debian/README.Debian: Hint to possible phyml-mpi

 -- Charles Plessy <plessy@debian.org>  Mon, 15 Jul 2013 09:55:11 +0900

phyml (2:20110919-1) unstable; urgency=low

  * New upstream version.
  * Kept manual's old name with no date (debian/docs, debian/rules).
  * Do not compress PDFs (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Mon, 05 Dec 2011 13:19:40 +0900

phyml (2:20110526-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Corrected VCS URLs.
    - Using debhelper 8 (debian/compat).
    - Enhances bioperl-run (that has a PhyML wrapper).
    - Standards-Version incremented to reflect compliance with Policy 3.9.2.
  * Added build-arch and build-indep targets to debian/rules.
  * Build and distribute PhyTime (debian/rules, debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 26 Jun 2011 12:14:54 +0900

phyml (2:20100720-1) unstable; urgency=low

  * New upstream version
  * Fixed watch file
  * Standard-Version: 3.9.1 (no changes needed)
  * Source format 3.0 (quilt)
  * Wrote man page

 -- Andreas Tille <tille@debian.org>  Mon, 14 Feb 2011 15:04:52 +0100

phyml (2:20100123-1) unstable; urgency=low

  * New upstream release.

  [ Nelson A. de Oliveira ]
  * Fix watch file.
  * Increment the epoch number to fix a typo in the version number.

  [ Charles Plessy ]
  * Checked conformance with Policy 3.8.4 and incremented Standards-Version
    in debian/control to reflect this (no changes needed).
  * Moved the bibliographic reference from debian/reference to
    debian/upstream-metadata.yaml.
  * Adapted debian/rules to the new location of the auto(conf|make) files.

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Mar 2010 19:55:08 +0900

phyml (1:200900706-2) unstable; urgency=low

  * Disable parallel building, that was incorrectly supported and
    induced build failures by race condition (Closes: #536967).

 -- Charles Plessy <plessy@debian.org>  Wed, 15 Jul 2009 09:35:40 +0900

phyml (1:200900706-1) unstable; urgency=low

  * New upstream release.
  * Suppressed unneeded Lintian overrides, and use ‘dh clean’ in debian/rules.
  * Checked conformance with Policy 3.8.2 and incremented Standards-Version
    in debian/control to reflect this (no changes needed).
  * Experimentation on the format of debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sat, 11 Jul 2009 14:25:23 +0900



=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Kevin Murray <spam@kdmurray.id.au>,
+           Kevin Murray <spam@kdmurray.id.au>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                autotools-dev,
                dh-autoreconf,
                pkg-config,
-               libhmsbeagle-dev
-Standards-Version: 3.9.6
+               libhmsbeagle-dev,
+               libopenmpi-dev,
+               chrpath
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/phyml.git
-Vcs-Git: https://anonscm.debian.org/debian-med/phyml.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/phyml.git
 Homepage: http://www.atgc-montpellier.fr/phyml
 
 Package: phyml
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         openmpi-bin
 Description: Phylogenetic estimation using Maximum Likelihood
  PhyML is a software that estimates maximum likelihood phylogenies from
  alignments of nucleotide or amino acid sequences. It provides a wide

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for phyml

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
override_dh_auto_build:
	# According to README you need different configure options to get different executables
	# Here we hack in a full build process for phyml executable
	# The hack includes saving the documentation from beeing cleaned up
	mv doc/phyml-manual.pdf .
	dh_auto_configure
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"
	# move phyml binary to temporary dir inside debian/
	mkdir -p $(CURDIR)/debian/bin
	mv src/phyml $(CURDIR)/debian/bin/phyml
	$(MAKE) distclean
	dh_auto_configure -- --enable-beagle
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"
	# move phyml binary to temporary dir inside debian/
	mkdir -p $(CURDIR)/debian/bin
	mv src/phyml-beagle $(CURDIR)/debian/bin/phyml-beagle
	$(MAKE) distclean
	dh_auto_configure -- --enable-mpi
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"
	# move phyml binary to temporary dir inside debian/
	# mkdir -p $(CURDIR)/debian/bin
	mv src/phyml-mpi $(CURDIR)/debian/bin/phyml-mpi
	$(MAKE) distclean
	dh_auto_configure -- --enable-phytime
	dh_auto_build -- LDFLAGS="$(LDFLAGS)" CPPFLAGS="-DPHYREX $(CPPFLAGS)"
	mv phyml-manual.pdf doc

override_dh_auto_install:
	dh_auto_install
	# install phyml binary we have kept safe above
	mkdir -p $(CURDIR)/debian/$(DEBPKGNAME)/usr/lib/$(DEBPKGNAME)/bin
	mv $(CURDIR)/debian/bin/* $(CURDIR)/debian/$(DEBPKGNAME)/usr/lib/$(DEBPKGNAME)/bin
	chrpath --delete debian/$(DEBPKGNAME)/usr/lib/$(DEBPKGNAME)/bin/phyml*

override_dh_auto_clean:
	# save pdf from cleaning
	mv doc/phyml-manual.pdf .
	dh_auto_clean
	mv phyml-manual.pdf doc
	# remove temporary bin dir for phyml (see above hack)
	rm -rf debian/bin

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml-manual.pdf $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml_manual.pdf

override_dh_compress:
	dh_compress --exclude=.pdf
